Package org.eclipse.mat.parser.index

# Interface IIndexReader.IOne2OneIndex

All Superinterfaces:
  `IIndexReader`

All Known Subinterfaces:
  `IIndexReader.IOne2SizeIndex`

All Known Implementing Classes:
  `IndexReader.IntIndexReader`, `IndexReader.SizeIndexReader`, `IndexWriter.IntIndexCollector`

Enclosing interface:
  IIndexReader

public static interface IIndexReader.IOne2OneIndex extends IIndexReader
Index from object id to another int. For example, object id to type id.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.mat.parser.index.IIndexReader

`IIndexReader.IOne2LongIndex, IIndexReader.IOne2ManyIndex, IIndexReader.IOne2ManyObjectsIndex, IIndexReader.IOne2OneIndex, IIndexReader.IOne2SizeIndex`

## Method Summary

Modifier and Type
Method
Description
`int`
`get(int index)`
Look up an int in the underlying index
`int[]`
`getAll(int[] index)`
Look up all the items from the index array and return the version in the index
`int[]`
`getNext(int index, int length)`
Look up all the items from the index from index to index + length - 1 and return the result in the index for each on

### Methods inherited from interface org.eclipse.mat.parser.index.IIndexReader

`close, delete, size, unload`

## Method Details

### get

int get(int index)
Look up an int in the underlying index

Parameters:
  `index` - the int key
Returns:
  the int value

### getAll

int[] getAll(int[] index)
Look up all the items from the index array and return the version in the index

Parameters:
  `index` - an array of items to look up
Returns:
  an array of the result items

### getNext

int[] getNext(int index, int length)
Look up all the items from the index from index to index + length - 1 and return the result in the index for each on

Parameters:
  `index` - the start index
  `length` - the number of consecutive items to look up
Returns:
  an array of the result items